Zum Hauptinhalt springen
Version: API v1

Domainrecords eines Accounts auslesen

GET/v1/accounts/{accountIdentifier}/domainrecords/
API version
v1
Request method
GET
Operation ID
listDomainrecordsByAccount

Diese Operation liest die Domainrecords eines einzelnen Accounts aus

Request

  • accountIdentifierstring
    required

    Name oder ID eines Accounts

Responses

Format
application/json
Beschreibung

Die Domainrecords des Accounts

  • Array[
    • *object
      • accountobject
        • customerNumbernumber
        • descriptionstring
        • disabledboolean
        • namestring
        • statusstring
        • uidnumber
        • virtualboolean
      • certificateobject
        • altNamesarray of string
          • Array[
            • *string
            ]
        • commonNamestring
        • isInclusiveboolean
        • stagestring
        • statusDescriptionstring
        • uidnumber
      • domainNamestring
        required
      • forceHttpsboolean

        Indicates if an automatic HTTPS redirect should be performed for this domain.

      • fullNamestring
        required

        The full name of the domain record (including parent domain and TLD).

      • ipAddressstring

        The IP address of the server which is hosting this domain. If the domain is registered via mittwald (more precisely: if its DNS zone is managed by mittwald), this will automatically be the content of the DNS A record. If the DNS zone is managed by an external DNS vendor, this IP address needs to be configured as A record there.

      • isSubDomainboolean
        required
      • isUsingMittwaldMailsystemboolean
        required

        true if this domain record should use the mittwald mail system (only relevant for domains whose DNS zone is managed by mittwald). In this case, the DNS zone's MX records will point to the mittwald-operated email server.

      • registrarStatusstring
      • statusnumber
        required
      • targetstring
      • tldstring
        required
      • uidnumber
    ]

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/accounts/string/domainrecords?limit=50&offset=123&visibleOnly=true